Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731194 - net-libs/libcrafter fails to link with LLD because of /usr/lib in the link command line
Summary: net-libs/libcrafter fails to link with LLD because of /usr/lib in the link co...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 06:26 UTC by Agostino Sarubbo
Modified: 2020-07-15 06:50 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,72.09 KB, text/plain)
2020-07-07 06:26 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,248 bytes, application/x-bzip-compressed-tar)
2020-07-07 06:26 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 06:26:33 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-libs/libcrafter fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 06:26:39 UTC
Created attachment 648146 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-07 06:26:42 UTC
Created attachment 648148 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2020-07-15 06:50:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dce4676e2a72b19764edcc5cc7054325585d3937

commit dce4676e2a72b19764edcc5cc7054325585d3937
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-07-15 05:42:00 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-07-15 06:50:30 +0000

    net-libs/libcrafter: Version 0.3_p20171019
    
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=731194
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-libs/libcrafter/Manifest                       |  1 +
 .../files/libcrafter-0.3_p20171019-libpcap.patch   | 59 ++++++++++++++++++++++
 .../libcrafter/libcrafter-0.3_p20171019.ebuild     | 40 +++++++++++++++
 3 files changed, 100 insertions(+)